MKE2FS(8)

NAZWA
mke2fs - tworzy linuksowy system plików ext2/ext3/ext4

SKŁADNIA
mke2fs [ -c | -l filename ] [ -b block-size ] [ -C cluster-size ] [ -d root-directory ] [ -D ] [ -g blocks-per-group ] [ -G number-of-groups ] [ -i bytes-per-inode ] [ -I inode-size ] [ -j ] [ -J journal-options ] [ -N number-of-inodes ] [ -n ] [ -m reserved-blocks-percentage ] [ -o creator-os ] [ -O [^]feature[,...] ] [ -q ] [ -r fs-revision-level ] [ -E extended-options ] [ -v ] [ -F ] [ -L volume-label ] [ -M last-mounted-directory ] [ -S ] [ -t fs-type ] [ -T usage-type ] [ -U UUID ] [ -V ] [ -e errors-behavior ] [ -z undo_file ] device [ fs-size ]

mke2fs -O journal_dev [ -b rozmiar-bloku ] [ -L etykieta-woluminu ] [ -n ] [ -q ] [ -v ] zewnętrzny-dziennik [ rozmiar-systemu-plików ]

OPIS
mke2fs jest używany do tworzenia systemów plików ext2, ext3 lub ext4 zwykle w partycji dyskowej (lub pliku) określonym przez urządzenie.

Rozmiar systemu plików należy podać jako rozmiar-systemu-plików. Jeśli nie ma on przyrostka, jest interpretowany jako kilobajty będące potęgą dwójki, chyba że podano opcję -b rozmiar-bloku, gdy rozmiar-systemu-plików jest interpretowany jako liczba bloków o rozmiarze-bloku. Jeśli natomiast podano przyrostki "k", "m", "g", "t" (wielkimi lub małymi literami) to dana liczba jest interpretowana jako podana w będących potęgą dwójki kilobajtach, megabajtach, gigabajtach, terabajtach itd. Jeśli nie poda się rozmiaru-systemu-plików to mke2fs utworzy system plików na podstawie rozmiaru urządzenia.

Jeśli uruchomi się mke2fs jako mkfs.XXX (np. mkfs.ext2, mkfs.ext3 lub mkfs.ext4.) zastępuję to opcję -t XXX, tak więc mkfs.ext3 utworzy system plików ext3, mkfs.ext4 utworzy system plików ext4 itd.

Domyślne parametry do nowo tworzonych systemów plików, jeśli nie są przesłonięte przez poniższe opcje, są kontrolowane przez plik konfiguracyjny /etc/mke2fs.conf. Strona podręcznika mke2fs.conf(5) zawiera więcej szczegółów na ten temat.

OPCJE

-b rozmiar-bloku
    Specify the size of blocks in bytes. Valid block-size values are powers of two from 1024 up to 65536 (however note that the kernel is able to mount only file systems with block-size smaller or equal to the system page size - 4k on x86 systems, up to 64k on ppc64 or aarch64 depending on kernel configuration). If omitted, block-size is heuristically determined by the file system size and the expected usage of the file system (see the -T option). In most common cases, the default block size is 4k. If block-size is preceded by a negative sign ('-'), then mke2fs will use heuristics to determine the appropriate block size, with the constraint that the block size will be at least block-size bytes. This is useful for certain hardware devices which require that the blocksize be a multiple of 2k.

-c  Powoduje, że przed utworzeniem systemu plików, urządzenie zostanie sprawdzone w poszukiwaniu uszkodzonych bloków. Gdy opcja ta zostanie podana dwa razy, wykonany będzie wolniejszy test w trybie odczyt-zapis, zamiast szybkiego testu w trybie tylko-do-odczytu.

-C  cluster-size
    Określa rozmiar klastra w bajtach w przypadku systemów plików używających funkcji bigalloc. Poprawnymi wartościami rozmiaru klastra są od 2048 do 256M bajtów na klaster. Opcji można użyć tylko gdy włączono funkcję bigalloc (więcej informacji o tej funkcji można uzyskać zapoznając się z ext4(5)). Domyślnie rozmiar klastra wynosi szesnastokrotność wielkości bloku.

-d root-directory
    Copy the contents of the given directory into the root directory of the file system.

-D  Używa bezpośredniego wejścia/wyjścia podczas zapisu na dysk. Zapobiega to zajmowaniu przez mke2fs wielu buforów podręcznych, które mogą wpłynąć na inne aplikacje, podczas działania na obciążonym serwerze. Opcja ta spowoduje znaczne spowolnienie działania mke2fs, więc jest to pójście na kompromis.

-e zachowanie-w-razie-błędu
    Zmienia zachowanie jądra, gdy wykryty zostanie błąd. We wszystkich przypadkach błąd systemu plików powoduje uruchomienie e2fsck(8) podczas następnego restartu w celu sprawdzenia systemu plików. zachowanie-w-razie-błędu może przyjmować następujące wartości:

    continue
        Kontynuuje normalną pracę.

    remount-ro
        Powoduje przejście systemu plików w tryb tylko do odczytu.

    panic
        Wywołuje panikę jądra.

-E opcje rozszerzone
    Ustawia rozszerzone opcje systemu plików. Opcje rozszerzone są oddzielone przecinkami i mogą zawierać argument podany po znaku równości ("="). Opcja -E była nazwana -R we wcześniejszych wersjach mke2fs i jest wciąż akceptowana w celu zachowania kompatybilności wstecznej, lecz jest przestarzała. Obsługiwane są następujące opcje:

    encoding=nazwa-kodowania
        Enable the casefold feature in the super block and set encoding-name as the encoding to be used. If encoding-name is not specified, the encoding defined in mke2fs.conf(5) is used.

    encoding_flags=flagi-kodowania
        Define parameters for file name character encoding operations. If a flag is not changed using this parameter, its default value is used. encoding-flags should be a comma-separated lists of flags to be enabled. To disable a flag, add it to the list with the prefix "no".

        Obecnie jedyną flagą jaką można ustawić, to strict oznaczająca, że nieprawidłowe łańcuchy znaków powinny być odrzucane przez system plików. W domyślnej konfiguracji flaga strict jest wyłączona.

    mmp_update_interval=interwał
        Dostosowuje pierwotny interwał aktualizacji MMP do interwał sekund. Podanie wartości 0 spowoduje użycia domyślnego interwału. Podany interwał musi być mniejszy niż 300 sekund. Wymaga włączonej funkcji mmp.

    stride=rozmiar-części
        Konfiguruje system plików do macierzy RAID z rozmiarem-części (ang. stride size lub chunk size) bloków systemu plików. Jest to liczba bloków odczytywanych lub zapisywanych na dysk przed przejściem na następny dysk. To ustawienie wpływa głównie na położenie metadanych systemu plików, takich jak mapy bitów podczas wykonywania mke2fs, aby zapobiec umieszczeniu ich na jednym dysku, co mogłoby negatywnie wpłynąć na wydajność. Może być również użyte przez alokator bloków.

    stripe_width=szerokość-paska
        Konfiguruje system plików do macierzy for RAID z rozmiarem-paska (ang. stripe width) bloków systemu plików na pasek. Zazwyczaj jest to rozmiar-części * N, gdzie N jest liczbą dysków z danymi w macierzy RAID (np. przy RAID 5, gdzie jest jeden dysk parzystości, M jest liczbą dysków w macierzy minus jeden). Pozwala to alokatorowi bloków na przeciwdziałanie cyklowi odczytu-modyfikacji-zapisu w pasku RAID, jeśli to możliwe, przy zapisie danych.

    offset=przesunięcie
        Tworzy system plików z przesunięciem od początku urządzenia lub pliku. Może się to przydać przy tworzeniu obrazów dysków dla maszyn wirtualnych.

    resize=maksymalna-zmiana-online
        Rezerwuje przestrzeń, dzięki której tablica deskryptora grupy bloków może się powiększyć, aby obsłużyć system plików z maksymalną-zmianą-online bloków.

    lazy_itable_init[= <0 aby wyłączyć, 1 aby włączyć>]
        Jeśli jest włączone oraz włączona jest funkcja uninit_bg, to tabela i-węzłów nie będzie w pełni inicjowana przez mke2fs. Przyspiesza to znacznie inicjalizację systemu plików, lecz wymaga zakończenia inicjowania systemu plików w tle, przez jądro, podczas gdy system plików jest wcześniej zamontowany. Jeśli pominie się wartość opcji, jest używana domyślnie 1, aby włączyć zerowanie leniwej tabeli i-węzłów.

    lazy_journal_init[= <0 aby wyłączyć, 1 aby włączyć>]
        Jeśli jest włączone, to i-węzeł dziennika nie będzie w pełni zerowany przez mke2fs. Znacznie przyspiesza to inicjowanie systemu, ale niesie niewielkie ryzyko, jeśli system załamie się przed pełnym, jednokrotnym nadpisaniem dziennika. Jeśli opcja zostanie pominięta, przyjmuje domyślną wartość 1, włączając leniwe zerowanie i-węzła dziennika.

    assume_storage_prezeroed[= <0 to disable, 1 to enable>]
        If enabled, mke2fs assumes that the storage device has been prezeroed, skips zeroing the journal and inode tables, and annotates the block group flags to signal that the inode table has been zeroed.

    no_copy_xattrs
        Normally mke2fs will copy the extended attributes of the files in the directory hierarchy specified via the (optional) -d option. This will disable the copy and leaves the files in the newly created file system without any extended attributes.

    num_backup_sb=0|1|2
        Jeśli włączona jest funkcja sparse_super2 systemu plików, to ta opcja kontroluje liczbę zapasowych superbloków utworzonych w systemie plików. Może być ich 0, 1 lub 2.

    packed_meta_block[= <0 aby wyłączyć, 1 aby włączyć>]
        Umieszcza mapy bitowe alokacji i tabelę i-węzłów na początku dysku. Do zadziałania opcja ta wymaga włączonej funkcji flex_bg systemu plików, utworzy ona również dziennik na początku systemu plików. Jest przydatna w przypadku urządzeń z pamięcią flash, które na początku dysku używają pamięci SLC. Maksymalizuje również zasięg ciągłych bloków danych, co jest korzystne w określonych wyspecjalizowanych przypadkach użycia, takich jak obsługiwane Shingled Drives.

    root_owner[=uid:gid]
        Określa numeryczny identyfikator użytkownika (UID) i grupy (GID) w katalogu głównym. Jeśli nie poda się UID:GID, używa identyfikatora użytkownika i grupy użytkownika uruchamiającego mke2fs. W mke2fs 1.42 i wcześniejszych, UID i GID katalogu głównego były ustawiane domyślnie na UID i GID użytkownika uruchamiającego polecenie mke2fs. Opcja root_owner= pozwala na jawne podanie tych wartości i zapobiega efektom ubocznym dla użytkowników, którzy nie spodziewają się domyślnego zachowania programu mke2fs.

    test_fs
        Ustawia flagę superbloku systemu plików, oznaczającą, że może być on montowany przy użyciu eksperymentalnego kodu jądra, np. kodu systemu plików ext4dev.

    orphan_file_size=size
        Set size of the file for tracking unlinked but still open inodes and inodes with truncate in progress. Larger file allows for better scalability, reserving a few blocks per cpu is ideal.

    discard
        Próbuje wykonać operację discard na blokach w czasie tworzenia systemu (jest to przydatne na SSD albo tzw. rzadkich dyskach lub dyskach dynamicznie alokowanych). Gdy urządzenie informuje że operacja discard również zeruje dane (każde kolejne odczytanie po tej operacji, a przed zapisem, zwraca zero), to wszystkie jeszcze niewyzerowane tabele i-węzłów są oznaczane jako wyzerowane. Znacznie przyspiesza to inicjowanie systemu. Tak jest domyślnie.

    nodiscard
        Nie próbuje wykonać operacji discard na blokach w czasie tworzenia systemu plików.

    quotatype
        Specify the which quota types (usrquota, grpquota, prjquota) which should be enabled in the created file system. The argument of this extended option should be a colon separated list. This option has effect only if the quota feature is set. The default quota types to be initialized if this option is not specified is both user and group quotas. If the project feature is enabled that project quotas will be initialized as well.

-F  Wymusza na mke2fs utworzenie systemu plików, nawet jeśli podane urządzenie nie jest partycją na specjalnym urządzeniu blokowym lub inne parametry nie mają sensu. Aby wymusić na mke2fs utworzenie systemu plików, nawet jeśli wygląda na to, że system plików jest w użyciu lub jest zamontowany (jest to niezwykle niebezpieczne), to opcja musi zostać podana dwukrotnie.

g bloki-na-grupę
    Określa liczbę bloków w grupie bloków. Ogólnie rzecz biorąc, nie ma powodu, aby użytkownik musiał kiedykolwiek ustawiać ten parametr, ponieważ wartość domyślna jest optymalna dla systemu plików (administratorzy, którzy tworzą systemy plików na macierzach RAID, powinny używać parametru RAID stride jako część opcji -E, zamiast zmieniać liczbą bloków na grupę). Opcja jest przeznaczona dla deweloperów, którzy używają jej w sytuacjach testowych.

    Jeśli włączona jest funkcja bigalloc, to opcja -g określa liczbę klastrów w grupie bloków.

-G liczba-grup
    Określa liczbę grup bloków, która będzie spakowana razem, tworząc większą, wirtualną grupę bloków (lub "flex_bg group") w systemie plików ext4. Usprawnia to lokowanie metadanych i wydajność metadanych przy dużym obciążeniu. Liczba grup musi być potęgą dwójki i może być podana jedynie gdy włączona jest funkcja systemu plików flex_bg.

-i bajty-na-i-węzeł
    Określa współczynnik bajty/i-węzeł. mke2fs tworzy i-węzeł co każde bajty-na-i-węzeł bajtów dysku. Im większy współczynnik bajty-na-i-węzeł, tym więcej i-węzłów. Generalnie, wartość ta nie powinna być mniejsza od rozmiaru bloku w systemie plików, gdyż wtedy byłoby utworzonych zbyt dużo i-węzłów. Ostrzeżenie: wartość ta nie może być już zmieniona po utworzeniu systemu plików, więc należy ostrożnie dobrać wartość tego parametru. Proszę zauważyć, że zmiana rozmiaru systemu plików zmienia liczbę i-węzłów która wpływa na ten współczynnik.

-I rozmiar-i-węzła
    Określa rozmiar każdego i-węzła w bajtach. Wartość rozmiaru-i-węzła musi być potęgą dwójki, większą lub równą 128. Większy rozmiar rozmiaru-i-węzła powoduje zwiększenie powierzchni zajmowanej przez tabelę i-węzłów i zredukowanie użytecznej powierzchni systemu plików, a może również negatywnie wpłynąć na wydajność. Nie da się zmienić tej wartości po utworzeniu systemu plików.

    Systemy plików z i-węzłami o rozmiarze 128 bajtów nie obsługują znaczników czasu późniejszych niż 19 stycznia 2038. I-węzły o rozmiarze 256 bajtów lub większym obsługują rozszerzone znaczniki czasu, identyfikatory projektów oraz możliwość przechowywania pewnych dodatkowych atrybutów w tabeli i-węzłów, które wpływają na zwiększoną wydajność.

    Domyślny rozmiar i-węzła zależy od pliku mke2fs.conf(5). W pliku mke2fs.conf rozpowadzanym razem z e2fsprogs domyślny rozmiar i-węzła wynosi z reguły 256 bajtów z wyjątkiem małych systemów plików, w których wartość ta ma 128 bajtów.

-j  Powoduje utworzenie system plików z księgowaniem ext3. Gdy nie podano opcji -J, przy tworzeniu dziennika zostaną użyte domyślne parametry oraz dobrany będzie właściwy rozmiar tego dziennika (na podstawie wielkości systemu plików) przechowywanego we wnętrzu systemu plików. Proszę zauważyć, że trzeba korzystać z jądra posiadającego wsparcie dla ext3, aby móc używać dziennika.

-J opcje-dziennika
    Tworzy dziennik ext3 używając opcji podanych z linii poleceń. Opcje te są oddzielone przecinkami i mogą posiadać argument, podawany po znaku równości ('='). Obsługiwane są następujące opcje:

    size=rozmiar-dziennika
        Tworzy wewnętrzny dziennik (np. przechowywany wewnątrz systemu plików) o rozmiarze rozmiar-dziennika megabajtów. Rozmiar dziennika musi wynosić co najmniej 1024 bloki systemu plików (np. 1MB przy korzystaniu z bloków 1k, 4MB przy blokach 4k, itd.) i nie może być większy niż 10 240 000 bloków systemu plików lub połowę całkowitego rozmiaru systemu plików (mniejsza z tych dwóch wartości).

    fast_commit_size=rozmiar-szybkiego-zatwierdzania
        Tworzy dodatkowy obszar szybkiego zatwierdzania dziennika o rozmiarze rozmiar-szybkiego-zatwierdzania w kilobajtach. Opcja jest prawidłowa wyłącznie jeśli włączono funkcję fast_commit w danym systemie plików. Jeśli nie podano tej opcji, a funkcja fast_commit jest włączona, domyślnym rozmiarem tego obszaru będzie journal-size / 64 megabajtów. Całkowity rozmiar dziennika z ustawioną funkcją fast_commit wynosi journal-size + ( fast-commit-size * 1024) megabajtów. Całkowity rozmiar dziennika nie może być większy niż 10.240.000 bloków systemu plików lub połowy całkowitego rozmiaru systemu plików (mniejszą z tych wartości).

    location=położenie-dziennika
        Określa położenie dziennika. Argument położenie dziennika można podać jako numer bloku lub, jeśli liczba ma przyrostek określający jednostkę ("M", "G" itp.), liczbę interpretowaną jako przesunięcie od początku systemu plików.

    device=zewnętrzny-dziennik
        Przyłącza dziennik system plików do urządzenia blokowego znajdującego się na zewnętrzny-dziennik. Zewnętrzny dziennik musi być utworzony za pomocą polecenia

        mke2fs -O journal_dev zewnętrzny-dziennik

        Proszę zauważyć, że zewnętrzny-dziennik musi zostać utworzony z tą samą wielkością bloku jak nowy system plików. Dodatkowo, o ile obsługa dołączania wielu systemów plików do pojedynczego dziennika zewnętrznego jest obecna, jądro Linux i e2fsck(8) nie obsługuje na razie dzielonych dzienników zewnętrznych.

        Zamiast podawać nazwę urządzenia bezpośrednio, zewnętrzny-dziennik może być określony przez LABEL=etykieta lub UUID=UUID, aby znaleźć zewnętrzny dziennik na podstawie etykiety woluminu lub UUID przechowywanego w superbloku ext2 na początku dziennika. Do wypisania etykiety i UUID urządzenia z dziennikiem można posłużyć się dumpe2fs(8). Zobacz także opis opcji -L programu tune2fs(8).

    Dla danego systemu plików można podać tylko jedną z opcji size lub device.

-l plik
    Powoduje odczytanie listy uszkodzonych bloków z nazwy-pliku. Proszę zauważyć, że numery bloków na liście zepsutych bloków muszą być wygenerowane przy użyciu takiego samego rozmiaru bloków jaki użyty był w mke2fs. W rezultacie opcja -c do mke2fs jest prostszą i mniej podatną na błędy metodą sprawdzenia dysku pod kątem zepsutych bloków przed formatowaniem go, gdyż mke2fs automatycznie podaje odpowiednie parametry do programu badblocks.

-L nowa-etykieta-woluminu
    Ustawia etykietę woluminu systemu plików na nową-etykietę-woluminu. Maksymalna długość etykiety woluminu to 16 bajtów.

-m procent-zarezerwowanych-bloków
    Określa procent bloków systemu plików, zarezerwowanych dla superużytkownika. Zapobiega to fragmentacji i pozwala demonom działających z uprawnieniami roota, takim jak syslogd(8), na poprawne kontynuowanie działania po tym, gdy procesy nieuprzywilejowane nie będą już mogły zapisywać do systemu plików. Domyślna wartość to 5%.

-M ostatnio-montowany-katalog
    Ustawia katalog ostatniego montowania systemu plików. Opcja ta może być użyteczna ze względu na aplikacje, dla których katalog ostatniego montowania wskazuje, gdzie należy zamontować dany system plików.

-n  Powoduje, że mke2fs nie tworzy systemu plików, lecz wyświetla co zrobiłby, gdyby miał go utworzyć. Można wykorzystać tę opcję do określenia położenia zapasowych superbloków danego systemu plików tak długo, jak parametry mke2fs, które były podane podczas pierwotnego tworzenia systemu plików, są ponownie użyte (oczywiście z dodaną opcją -n).

-N liczba-i-węzłów
    Zmienia domyślnie wyliczoną liczbę i-węzłów, które powinny być zarezerwowane dla systemu plików (a która bazuje na liczbie bloków i współczynniku bajty-na-i-węzeł). To pozwala użytkownikowi podać bezpośrednio liczbę żądanych i-węzłów.

-o tworzący-os
    Służy do ręcznej zmiany domyślnej wartości pola "creator operating system" (tworzący system operacyjny) systemu plików. Normalnie pole to jest ustawiane na nazwę systemu operacyjnego, do którego skompilowano plik wykonywalny mke2fs.

-O [^]funkcja[,...]
    Tworzy system plików z podanymi właściwościami (opcjami systemu plików), przesłaniając domyślne opcje systemu plików. Właściwości, które są włączane domyślnie, są podane w relacji base_features, albo w sekcji [defaults] pliku /etc/mke2fs.conf , albo w podsekcji [fs_types] w przypadku typów użycia, zgodnie z opcją -T, zmodyfikowane później przez relację features z podsekcji [fs_types] w przypadku systemu plików i typów użycia. Strona podręcznika mke2fs.conf(5) zawiera więcej szczegółów. Konfiguracja charakterystyczna dla danego system plików mieszcząca się w sekcji [fs_types] przesłoni domyślne opcje globalne z sekcji [defaults].

    Właściwość systemu plików będzie edytowana później albo przez zestaw właściwości podanych przez tę opcję lub, jeśli nie użyto tej opcji, przez relację default_features do tworzonych typów systemów plików, lub w sekcji [defaults] pliku konfiguracyjnego.

    Zestaw właściwości systemu plików składa się z listy właściwości, oddzielonych przecinkami, które mają być włączone. Aby wyłączyć którąś funkcję, należy poprzedzić nazwę właściwości znakiem karetki ("^"). Funkcje z zależnościami nie będą poprawnie usuwane. Pseudo-właściwość "none" wyłączy wszystkie właściwości systemu plików.

Więcej informacji o funkcjach które można ustawić znajduje się w
    podręczniku ext4(5).

-q  Ciche wywołanie. Przydatne gdy mke2fs jest uruchamiany ze skryptu.

-r rewizja
    Ustawia rewizję (wersję) systemu plików dla nowego systemu plików. Proszę zauważyć, że jądra 1.2 wspierają jedynie systemy plików o rewizji 0. Domyślnie tworzone są systemy plików o rewizji 1.

-S  Write superblock and group descriptors only. This is an extreme measure to be taken only in the very unlikely case that all of the superblock and backup superblocks are corrupted, and a last-ditch recovery method is desired by experienced users. It causes mke2fs to reinitialize the superblock and group descriptors, while not touching the inode table and the block and inode bitmaps. The e2fsck program should be run immediately after this option is used, and there is no guarantee that any data will be salvageable. Due to the wide variety of possible options to mke2fs that affect the on-disk layout, it is critical to specify exactly the same format options, such as blocksize, fs-type, feature flags, and other tunables when using this option, or the file system will be further corrupted. In some cases, such as file systems that have been resized, or have had features enabled after format time, it is impossible to overwrite all of the superblocks correctly, and at least some file system corruption will occur. It is best to run this on a full copy of the file system so other options can be tried if this doesn't work.

-T typ-systemu-plików
    Określa typ systemu plików (np. ext2, ext3, ext4 itp.) do utworzenia. Jeśli nie poda się tej opcji, mke2fs wybierze domyślny na podstawie polecenia, które go uruchomiło (np. mkfs.ext2, mkfs.ext3 itd.) lub na podstawie domyślnego systemu plików, zdefiniowanego plikiem /etc/mke2fs.conf. Opcja kontroluje, który system plików jest używany jako domyślny, na podstawie wpisu konfiguracyjnego fstypes w /etc/mke2fs.conf.

    Jeśli opcja -O jest użyta do jawnego dodania lub usunięcia opcji systemu plików, które powinny być ustawiane w nowo tworzonych systemach plików, to wynikowy system plików może nie być obsługiwany przez żądany typ-systemu-plików. (np. "mke2fs -t ext3 -O extent /dev/sdXX" utworzy system plików, który nie jest obsługiwany przez implementację ext3 w jądrze Linux, a "mke2fs -t ext3 -O ^has_journal /dev/hdXX" utworzy system plików nieposiadający dziennika i, w związku z tym, nieobsługiwany przez kod systemu plików ext3 w jądrze Linux).

-T typ-użycia[,...]
    Określa, w jaki sposób dany system plików będzie wykorzystywany. Dzięki temu mke2fs może wybrać optymalne parametry dla systemu plików. Obsługiwane typy użycia są zdefiniowane w pliku konfiguracyjnym /etc/mke2fs.conf. Użytkownik może podać jeden lub więcej typów użycia, za pomocą listy, oddzielając poszczególne pozycje przecinkiem.

    If this option is is not specified, mke2fs will pick a single default usage type based on the size of the file system to be created. If the file system size is less than 3 megabytes, mke2fs will use the file system type floppy. If the file system size is greater than or equal to 3 but less than 512 megabytes, mke2fs(8) will use the file system type small. If the file system size is greater than or equal to 4 terabytes but less than 16 terabytes, mke2fs(8) will use the file system type big. If the file system size is greater than or equal to 16 terabytes, mke2fs(8) will use the file system type huge. Otherwise, mke2fs(8) will use the default file system type default.

-U UUID
    Ustawia uniwersalny, unikatowy identyfikator (universally unique identifier - UUID) systemu plików na UUID. UUID składa się z serii cyfr w systemie szesnastkowym oddzielonych myślnikami, jak np.: "c1b9d5a2-f162-11cf-9ece-0020afc76f16". Parametr UUID może przyjmować też następujące wartości:

    clear
        usuwa UUID systemu plików

    random
        generuje nowy, przypadkowy UUID

    time
        generuje nowy UUID, oparty na czasie

-v  Wypisuje szczegółowe informacje.

-V  Wypisuje numer wersji mke2fs i wychodzi.

-z plik-zapasowy
    Before overwriting a file system block, write the old contents of the block to an undo file. This undo file can be used with e2undo(8) to restore the old contents of the file system should something go wrong. If the empty string is passed as the undo_file argument, the undo file will be written to a file named mke2fs-device.e2undo in the directory specified via the E2FSPROGS_UNDO_DIR environment variable or the undo_dir directive in the configuration file.

    OSTRZEŻENIE: Plik zapasowy nie pomoże w przypadku utraty zasilania lub zawieszenia systemu.

ŚRODOWISKO

MKE2FS_SYNC
    Jeśli jest ustawiona na niezerową wartość całkowitą, to jej wartość jest używana do określenia częstości wywoływania sync(2) podczas inicjowania tabeli i-węzłów.

MKE2FS_CONFIG
    Określa położenie pliku konfiguracyjnego (patrz mke2fs.conf(5)).

MKE2FS_FIRST_META_BG
    Jeśli jest ustawiona na niezerową wartość całkowitą, to jej wartość jest używana do określenia pierwszej grupy metabloków. Przeznaczona jest głównie do debugowania.

MKE2FS_DEVICE_SECTSIZE
    If set to non-zero integer value, its value is used to determine logical sector size of the device.

MKE2FS_DEVICE_PHYS_SECTSIZE
    Jeśli jest ustawiona na niezerową wartość całkowitą, to jej wartość jest używana do określenia fizycznego rozmiaru sektora urządzenia.

MKE2FS_SKIP_CHECK_MSG
    Jeśli jest ustawiona, nie są pokazywane wiadomości automatycznego sprawdzania systemu plików, spowodowane liczbą montowań lub interwałem sprawdzania.

AUTOR
Ta wersja mke2fs została napisana przez Theodora Ts'o <tytso@mit.edu>.

DOSTĘPNOŚĆ
mke2fs jest częścią pakietu e2fsprogs i jest dostępne na stronie http://e2fsprogs.sourceforge.net.

ZOBACZ TAKŻE
mke2fs.conf(5), badblocks(8), dumpe2fs(8), e2fsck(8), tune2fs(8), ext4(5)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Grzegorz Goławski <grzegol@pld.org.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.